Skip to main content
GET
/
api
/
fdx
/
5
/
accounts
/
{account_id}
/
payment-networks
Get Payment Networks
curl --request GET \
  --url https://ob.flinksapp.com/api/fdx/5/accounts/{account_id}/payment-networks \
  --header 'Authorization: Bearer <token>'
{
  "page": {
    "nextOffset": "806801cd-999a-461b-9d08-5fd95d0e3300",
    "totalElements": 5
  },
  "links": {
    "next": {
      "href": "https://ob.flinksapp.com/api/fdx/5/accounts/11/payment-networks?limit=1&offset=806801cd-999a-461b-9d08-5fd95d0e3300"
    }
  },
  "paymentNetworks": [
    {
      "bankId": "string",
      "identifier": "string",
      "identifierType": "ACCOUNT_NUMBER",
      "type": "US_ACH",
      "transferIn": true,
      "transferOut": true
    }
  ]
}
Use the /api/fdx/5/accounts/{accountId}/payment-networks endpoint to return a list of payment networks for a particular account. To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using:
  • grant_type: authorization_code or refresh_token
  • client_id: {recipient client_id}
  • client_secret: {recipient client_secret}
  • redirect_uri: {recipient redirect_uri}
  • code: {with grant type authorization_code}
  • refresh_token: {with grant type refresh_token}

Not all Data Providers support this endpoint

If the Data Provider does not support payment networks, this endpoint returns 405 Method Not Allowed.

Response is different for each Data Provider

This endpoint returns different fields for each Data Provider. For more information about the fields that each Data Provider supports, review the Data Provider’s details.

How to handle an error response

If you receive an error response, refer to the List of Data Access Errors for more information about the error and how to resolve it.
{
  "page": {
    "nextOffset": "806801cd-999a-461b-9d08-5fd95d0e3300",
    "totalElements": 5
  },
  "links": {
    "next": {
      "href": "https://ob.flinksapp.com/api/fdx/5/accounts/11/payment-networks?limit=1&offset=806801cd-999a-461b-9d08-5fd95d0e3300"
    }
  },
  "paymentNetworks": [
    {
      "bankId": "string",
      "identifier": "string",
      "identifierType": "ACCOUNT_NUMBER",
      "type": "US_ACH",
      "transferIn": true,
      "transferOut": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token obtained from the /Token endpoint.

Path Parameters

account_id
string
required

The ID of the customer account that you want to retrieve.

Query Parameters

offset
string

Opaque cursor used by the provider to send the next set of records.

limit
string

The maximum number of payment networks that you want to return with this request. Use this field to set a limit on the amount of data you receive.

Response

Returned when the payment networks are successfully retrieved with pagination.

page
object

Pagination information for the response.

Links for pagination.

paymentNetworks
object[]

List of payment networks for the account.